#include <QApplication>
#include <QOpenGLWidget>
#include <QPainter>

class W : public QOpenGLWidget
{
public:
    void initializeGL()
    {
        glClearColor(0.2f,0.2f,0.2f,1.0f);
        glViewport(0,0,width(),height());
    }

    void paintGL()
    {
        glClear(GL_COLOR_BUFFER_BIT);

        QPainter p(this);
        p.setPen(QPen(Qt::green));
        QFont f = font();
        f.setPointSizeF(42);
        p.setFont(f);
        p.drawText(QRectF(5, 5 ,150, 100), "Circle");
    }

    void resizeGL(int w, int h)
    {
        glViewport(0,0,w,h);
    }
    void paintEvent(QPaintEvent* e)
    {
        QPainter p(this);
        p.setPen(QPen(Qt::green));
        QFont f = font();
        f.setPointSizeF(42);
        p.setFont(f);
        p.drawText(QRectF(5, 5 ,150, 100), "Circle");
    }
};

int main(int argc, char** argv)
{
	QApplication app(argc, argv);

    W w;
    w.show();

	return app.exec();
}
